<p align="center">
<img src="https://github.com/MhmoudAlim/Compose-Ratingbar-library/blob/master/blob/logo/compoesRatingBarLogo.png?https://github.com/MhmoudAlim/Compose-Ratingbar-library/blob/master/blob/logo/compoesRatingBarLogo.png?raw=true" alt="ComposeRatingBar" height="400"/>
</p>
<h1 align="center">ComposeRatingBar</h1>


<br/>
<p align="center">
	<a href="https://jitpack.io/#MhmoudAlim/Compose-Ratingbar-library)"> <img src="https://jitpack.io/v/MhmoudAlim/Compose-Ratingbar-library.svg" height="20" alt="jitpack"/></a>
<a href="https://twitter.com/intent/tweet?text=ComposeRatingBar%20is%20a%20simple%20implementation%20for%20rating%20bar%20in%20Jetpack%20Compose%20https://github.com/MhmoudAlim/Compose-Ratingbar-library%20#android%20#kotlin%20#java%20#library%20#developers"><img src="https://img.shields.io/twitter/url/http/shields.io.svg?style=social" height="20"/></a>




**ComposeRatingBar**  is an Android Jetpack Compose library made with :heart:, it's a simple yet customizable implementation for a rating bar in Jetpack Compose.


# Table of contents

- [Preview](#preview)
- [Installation](#installation)
- [Demo](#demo)
- [License](#license)


---
## Preview




<br/>

Dark theme            |  Light theme
:-------------------------:|:-------------------------:
![](https://github.com/MhmoudAlim/Compose-Ratingbar-library/blob/master/blob/screenshots/composeratingbar_sample3.png?raw=true)  |   ![](https://github.com/MhmoudAlim/Compose-Ratingbar-library/blob/master/blob/screenshots/composeratingbar_sample4.png?raw=true)


<br/>

Animated Dark            |  Animated Light
:-------------------------:|:-------------------------:
![](https://github.com/MhmoudAlim/Compose-Ratingbar-library/blob/master/blob/screenshots/Compose-Ratingbar-library_sample1.gif?raw=true)  |  ![](https://github.com/MhmoudAlim/Compose-Ratingbar-library/blob/master/blob/screenshots/Compose-Ratingbar-library_sample2.gif?raw=true)


<br/>

---
## Installation

### - Step 1- Add jitpack in your project build.gradle
```groovy
allprojects {
    repositories {
        ...
        maven { url "https://jitpack.io" }
    }
}
```

### - Step 2- Add the dependency in your app build.gradle

```groovy
dependencies {
    ...
    implementation 'com.github.MhmoudAlim:Compose-Ratingbar-library:x.y.z'
}
```
Please replace x, y and z with the latest version numbers: [](https://jitpack.io/v/MhmoudAlim/Compose-Ratingbar-library.svg)

### - Step 3- Optional

#### in some **Gradle** :stuck_out_tongue_closed_eyes: versions in Android studio you might need to add to your settings.gradle
```groovy
repositories {
    ...
    maven { url 'https://jitpack.io' }
}
```

---
## Demo

[ComposeRatingbarApp](https://github.com/MhmoudAlim/Compose-Ratingbar-library/tree/master/demo)
example app demonstrates how simple the usage of the library actually is.
</br>
### Download App [here](https://github.com/MhmoudAlim/Compose-Ratingbar-library/raw/master/blob/apk/demo-release.apk)

---
## :clap: Contribution

- PRs are welcome, let's make this library better. :raised_hands:

- please :star: if you like the idea!


## License

<details>
    <summary>
        click to reveal License
    </summary>

```
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   https://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```

</details>
